# Retrieve regions’ dump

URL: https://docs.emergingtravel.com/docs/b2b-api/static-content/retrieve-regions-dump/

Tags: b2b

---



**Sandbox**

```
https://api-sandbox.worldota.net/api/b2b/v3/hotel/region/dump/
```

**Production**

```
https://api.worldota.net/api/b2b/v3/hotel/region/dump/
```




The call gets the [dump](/docs/glossary/#dump) with the hotels of all available ETG regions.

> [!NOTE]
> The dump should be updated every week.



The ETG generates <strong>one archive only</strong>.

> [!WARNING]
> * The dump download link you receive from the API is temporary and will expire **1 hour after being issued**. To download the dump, you must call the API method each time to obtain a fresh, valid link.
> * <strong>Content indexing isn't allowed.</strong>



## Sandbox limitations { #limitations }

> [!WARNING]
> Use only field values, IDs, API keys, and any static content from the sandbox environment within the sandbox. <strong>Do not use sandbox data in test or production environments, and do not mix data or configuration between different environments.</strong>




* In the dump, the number of items is `1000`.
* For all objects with the `region_id` field, the possible values are: `2011`, `2395`, `2734`, and `6053839`.
* For all objects containing the `currency_code` field, its value is always `EUR`.

## Request example


**Sandbox**

```shell
curl --user '<KEY_ID>:<API_KEY>' 'https://api-sandbox.worldota.net/api/b2b/v3/hotel/region/dump/'
```

**Production**

```shell
curl --user '<KEY_ID>:<API_KEY>' 'https://api.worldota.net/api/b2b/v3/hotel/region/dump/'
```




## Response



- **url** *(String)*

  <p>A direct link to download the dump file.</p>


- **last_update** *(DateTime)*

  <p>The date and time when this dump was last updated (in UTC, [ISO 8601 format](https://www.iso.org/iso-8601-date-and-time-format.html)
  
  ).</p>





## Response example

```json
{
  "data": {
    "last_update": "2020-07-01T00:38:13Z",
    "url": "https://.../partner_feed_v3_en.jsonl.zst?..." // link valid for 1 hour
  },
  "debug": null,
  "error": null,
  "status": "ok"
}
```

## Dump file structure

The dump is a [Zstd](https://facebook.github.io/zstd/) archive that contains a file with a list of objects line by line:

```json
[
  {
    "country_name": {
      "ar": null,
      "bg": "Полша"
      // other languages...
    }
  },
  {
    "country_name": {
      "ar": "الولايات المتحدة الأمريكية",
      "bg": "Съединени щати"
      // other languages...
    }
  }
]
```
Each object in its turn contains a region's description (each line is a single region in `json` format).

### Structure of the region

```json
{
  "country_name": {
    "ar": "باربادوس",
    "bg": "Барбадос",
    "de": "Barbados",
    "el": "Μπαρμπάντος",
    "en": "Barbados",
    "es": "Barbados",
    "fr": "Barbade",
    "hu": "Barbados",
    "it": "Barbados",
    "pl": "Barbados",
    "pt": "Barbados",
    "ro": "Barbados",
    "sq": "Barbadosi",
    "sr": "Барбадос",
    "tr": "Barbados"
  },
  "country_code": "BB",
  "center": {
    "longitude": -59.618847,
    "latitude": 13.101827
  },
  "hids": [
    101,
    102,
    103
  ],
  "hotels": [
    "radisson_aquatica_resort_barbados",
    "spacious_colonial",
    "malfranza_apartments",
    "island_inn_all_inclusive_hotel",
    "hilton_barbados_resort",
    "sweetfield_manor_historic_inn_",
    "bellevue_plantation",
    "nautilus_beach_apartments",
    "walmer_lodge_apartments",
    "melbourne_apartments_3",
    "the_barbados_chi_centre",
    "paradise_villas_2",
    "beach_nest",
    "3_angels",
    "believe_caribbean_apartments",
    "bellevue_plantation_polo_club"
  ],
  "iata": "BGI",
  "id": 554,
  "type": "City",
  "name": {
    "ar": "بريدج تاون",
    "bg": null,
    "de": "Bridgetown",
    "el": "Bridgetown",
    "en": "Bridgetown",
    "es": "Bridgetown",
    "fr": "Bridgetown",
    "hu": null,
    "it": "Bridgetown",
    "pl": "Bridgetown",
    "pt": "Bridgetown",
    "ro": null,
    "sq": null,
    "sr": null,
    "tr": null
  }
}
```
### Field details



- **country_name** *(Object)*

  <p>The name of the region’s country in all languages available at Emerging Travel Group.</p>


- **country_code** *(String)*

  <p>The region country code in the [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
  
  format.</p>


- **center** *([Object])*

  <p>Geographical coordinates of the region’s center.</p>
  <ul>
  <li>
  <p><strong>longitude</strong> <em>(Float)</em></p>
  <p>The region’s center geographical longitude.</p>
  </li>
  <li>
  <p><strong>latitude</strong> <em>(Float)</em></p>
  <p>The region’s center geographical latitude.</p>
  </li>
  </ul>


- **hids** *(Object)*

  <p>Array of internal hotel IDs.</p>
  > [!NOTE]
  > Field may be missing, null, or [ ] (empty array) if there are no items.


- **hotels** *(Object)*

  <p>The list of hotel IDs that are located in the region.</p>


- **iata** *(String)*

  <p>Three-letter IATA code.</p>


- **id** *(String)*

  <p>The unique region ID.</p>


- **type** *(String)*

  <p>The type of the region where the hotel is located.</p>
  > [!NOTE]
  > * The possible values:
  >     * `Airport`.
  >     * `Bus Station`.
  >     * `City`.
  >     * `Continent`.
  >     * `Country`.
  >     * `Multi-City (Vicinity)`.
  >     * `Multi-Railway Station`.
  >     * `Multi-Region (within a country)`.
  >     * `Neighborhood`.
  >     * `Point of Interest`.
  >     * `Province (State)`.
  >     * `Railway Station`.
  >     * `Street`.
  >     * `Subway (Entrace)`.


- **name** *(Object)*

  <p>The name of the region in all languages available at Emerging Travel Group.</p>





> [!NOTE]
> To decompress the archive you can use, for example, a [Zstandard plugin](https://formulae.brew.sh/formula/zstd) or [7-zip archive manager with Zstandard](https://mcmilk.de/projects/7-Zip-zstd/).



## Errors

The `error` field has the value specified in the headers below.

### `dump_not_ready`

The dump is in processing. Try to send the request later.
